# Register Audio Gateway Service Record 

proc register_ag_profile_service_record {ag_server_chan} {	

     set ag_record {0x09 0x00 0x01 \
	            0x35 0x06 \
	            0x19 0x11 0x12 \
                    0x19 0x12 0x03 \
                    0x09 0x00 0x04 \
                    0x35 0x0c \
                    0x35 0x03 \
                    0x19 0x01 0x00 \
                    0x35 0x05 \
                    0x19 0x00 0x03 \
                    0x08} 
    set ag_record [concat $ag_record $ag_server_chan]
    set ag_record [concat $ag_record {0x09 0x00 0x09 \
	                              0x35 0x08 \
                                      0x35 0x06 \
                                      0x19 0x11 0x12 \
                                      0x09 0x01 0x00 \
                                      0x09 0x01 0x00 \
                                      0x25 0x0d \
		                      86 111 105 99 101 32 71 97 116 101 119 97 121}]

    SDS_REGISTER_REQ 0x8000 $ag_record [llength $ag_record]    
    set result [SDS_REGISTER_CFM]
    set service_record_handle [lindex $result 1]
    set retval [lindex $result 2]
    puts "Service Record Handle: $service_record_handle"
    set retval [concat $retval $service_record_handle]
    puts "retval: $retval"
    return $retval
}

BC_connect com2 bcsp 115200
# store the server_chan away just in case gets overwritten by the flow ctrl RFC_DATA_INDs
set agemu_server_chan $server_chan

# Register the sdp record
set result [register_ag_profile_service_record $agemu_server_chan]
if {[lindex $result 0]} {
  puts "SDS_REGISTER_REQ unsuccessful"
  puts "Result Code: [lindex $result 0]"
} else {
  puts "SDS_REGISTER_REQ successful"
  puts "Unregister Service with service record handle: [lindex $result 1]"
  SDS_UNREGISTER_REQ 0x8000 [lindex $result 1]
  SDS_UNREGISTER_CFM
}

